#include<iostream>
#include<algorithm>
#include<cmath>

using namespace std;

long long n,m,niz[100005],R,a,b;

int main()
{
    cin>>n>>m;
    for(int i=1;i<=n;i++)
    {
        cin>>niz[i];
    }
    for(int i=1;i<=m;i++)
    {
        cin>>a>>b;
        if(niz[a]>=0 && niz[b]>=0)
            R+=niz[a]+niz[b];
        else if(niz[a]<=0 && niz[b]<=0)
            R-=niz[a]+niz[b];
        else if(abs(niz[a]) > abs(niz[b]))
            R+=abs(niz[a])-abs(niz[b]);
        else
            R+=abs(niz[b])-abs(niz[a]);
    }

    cout<<R<<endl;

    return 0;
}